[Midnightbsd-cvs] src [11834] update config

laffer1 at midnightbsd.org laffer1 at midnightbsd.org
Thu Jul 12 20:22:09 EDT 2018


Revision: 11834
          http://svnweb.midnightbsd.org/src/?rev=11834
Author:   laffer1
Date:     2018-07-12 20:22:08 -0400 (Thu, 12 Jul 2018)
Log Message:
-----------
update config

Modified Paths:
--------------
    trunk/release/amd64/make-memstick.sh
    trunk/release/amd64/mkisoimages.sh

Added Paths:
-----------
    trunk/release/amd64/amd64.conf
    trunk/release/amd64/make-uefi-memstick.sh
    trunk/release/amd64/mkisoimages-uefi.sh

Removed Paths:
-------------
    trunk/release/amd64/boot_crunch.conf

Property Changed:
----------------
    trunk/release/amd64/make-memstick.sh
    trunk/release/amd64/mkisoimages.sh

Added: trunk/release/amd64/amd64.conf
===================================================================
--- trunk/release/amd64/amd64.conf	                        (rev 0)
+++ trunk/release/amd64/amd64.conf	2018-07-13 00:22:08 UTC (rev 11834)
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+# $MidnightBSD$
+#
+
+# Configuration file for release/release.sh to build amd64/amd64.
+
+TARGET="amd64"
+TARGET_ARCH="amd64"
+KERNEL="GENERIC"


Property changes on: trunk/release/amd64/amd64.conf
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Deleted: trunk/release/amd64/boot_crunch.conf
===================================================================
--- trunk/release/amd64/boot_crunch.conf	2018-07-13 00:18:37 UTC (rev 11833)
+++ trunk/release/amd64/boot_crunch.conf	2018-07-13 00:22:08 UTC (rev 11834)
@@ -1,47 +0,0 @@
-# $MidnightBSD: src/release/amd64/boot_crunch.conf,v 1.3 2009/10/24 04:42:46 laffer1 Exp $
-# $FreeBSD: src/release/amd64/boot_crunch.conf,v 1.59 2004/10/01 07:54:36 ru Exp $
-
-buildopts -DRELEASE_CRUNCH -Dlint
-
-srcdirs /usr/src/bin
-progs hostname
-progs pax
-progs pwd
-progs rm
-progs sh
-progs test
-ln sh -sh
-ln test [
-ln pax cpio
-
-srcdirs /usr/src/sbin
-progs camcontrol
-progs dhclient
-progs fsck_ffs
-progs ifconfig
-progs mount_nfs
-progs newfs
-progs route
-progs rtsol
-progs slattach
-progs tunefs
-ln fsck_ffs fsck_4.2bsd
-ln fsck_ffs fsck_ufs
-
-srcdirs /usr/src/usr.bin
-progs find
-progs minigzip
-progs sed
-progs tar
-ln minigzip gzip
-ln minigzip gunzip
-ln minigzip zcat
-
-srcdirs /usr/src/usr.sbin
-progs arp
-progs ppp
-progs sysinstall
-progs usbdevs
-
-libs -ll -ledit -lutil -lmd -lcrypt -lftpio -lz -lnetgraph
-libs -ldialog -lncurses -ldisk -lcam -lsbuf -lufs -ldevinfo -larchive -lbz2 -llzma

Modified: trunk/release/amd64/make-memstick.sh
===================================================================
--- trunk/release/amd64/make-memstick.sh	2018-07-13 00:18:37 UTC (rev 11833)
+++ trunk/release/amd64/make-memstick.sh	2018-07-13 00:22:08 UTC (rev 11834)
@@ -7,8 +7,7 @@
 #
 # Usage: make-memstick.sh <directory tree> <image filename>
 #
-# $MidnightBSD: src/release/amd64/make-memstick.sh,v 1.1 2011/12/02 13:15:03 laffer1 Exp $
-# $FreeBSD: src/release/amd64/make-memstick.sh,v 1.4 2011/10/09 16:23:04 nwhitehorn Exp $
+# $MidnightBSD$
 #
 
 PATH=/bin:/usr/bin:/sbin:/usr/sbin
@@ -15,32 +14,34 @@
 export PATH
 
 if [ $# -ne 2 ]; then
-  echo "make-memstick.sh /path/to/directory /path/to/image/file"
-  exit 1
+	echo "make-memstick.sh /path/to/directory /path/to/image/file"
+	exit 1
 fi
 
 if [ ! -d ${1} ]; then
-  echo "${1} must be a directory"
-  exit 1
+	echo "${1} must be a directory"
+	exit 1
 fi
 
 if [ -e ${2} ]; then
-  echo "won't overwrite ${2}"
-  exit 1
+	echo "won't overwrite ${2}"
+	exit 1
 fi
 
 echo '/dev/ufs/MidnightBSD_Install / ufs ro,noatime 1 1' > ${1}/etc/fstab
+echo 'root_rw_mount="NO"' > ${1}/etc/rc.conf.local
 makefs -B little -o label=MidnightBSD_Install ${2} ${1}
 if [ $? -ne 0 ]; then
-  echo "makefs failed"
-  exit 1
+	echo "makefs failed"
+	exit 1
 fi
 rm ${1}/etc/fstab
+rm ${1}/etc/rc.conf.local
 
-unit=`mdconfig -a -t vnode -f ${2}`
+unit=$(mdconfig -a -t vnode -f ${2})
 if [ $? -ne 0 ]; then
-  echo "mdconfig failed"
-  exit 1
+	echo "mdconfig failed"
+	exit 1
 fi
 gpart create -s BSD ${unit}
 gpart bootcode -b ${1}/boot/boot ${unit}


Property changes on: trunk/release/amd64/make-memstick.sh
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: trunk/release/amd64/make-uefi-memstick.sh
===================================================================
--- trunk/release/amd64/make-uefi-memstick.sh	                        (rev 0)
+++ trunk/release/amd64/make-uefi-memstick.sh	2018-07-13 00:22:08 UTC (rev 11834)
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# This script generates a "memstick image" (image that can be copied to a
+# USB memory stick) from a directory tree.  Note that the script does not
+# clean up after itself very well for error conditions on purpose so the
+# problem can be diagnosed (full filesystem most likely but ...).
+#
+# Usage: make-memstick.sh <directory tree> <image filename>
+#
+# $MidnightBSD$
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+export PATH
+
+if [ $# -ne 2 ]; then
+	echo "make-memstick.sh /path/to/directory /path/to/image/file"
+	exit 1
+fi
+
+if [ ! -d ${1} ]; then
+	echo "${1} must be a directory"
+	exit 1
+fi
+
+if [ -e ${2} ]; then
+	echo "won't overwrite ${2}"
+	exit 1
+fi
+
+echo '/dev/ufs/MidnightBSD_Install / ufs ro,noatime 1 1' > ${1}/etc/fstab
+echo 'root_rw_mount="NO"' > ${1}/etc/rc.conf.local
+makefs -B little -o label=MidnightBSD_Install ${2}.part ${1}
+if [ $? -ne 0 ]; then
+	echo "makefs failed"
+	exit 1
+fi
+rm ${1}/etc/fstab
+rm ${1}/etc/rc.conf.local
+
+mkimg -s gpt -b ${1}/boot/pmbr -p efi:=${1}/boot/boot1.efifat -p mnbsd-boot:=${1}/boot/gptboot -p mnbsd-ufs:=${2}.part -p mnbsd-swap::1M -o ${2}
+rm ${2}.part
+


Property changes on: trunk/release/amd64/make-uefi-memstick.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/release/amd64/mkisoimages-uefi.sh
===================================================================
--- trunk/release/amd64/mkisoimages-uefi.sh	                        (rev 0)
+++ trunk/release/amd64/mkisoimages-uefi.sh	2018-07-13 00:22:08 UTC (rev 11834)
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+# Module: mkisoimages.sh
+# Author: Jordan K Hubbard
+# Date:   22 June 2001
+#
+# $MidnightBSD$
+#
+# This script is used by release/Makefile to build the (optional) ISO images
+# for a MidnightBSD release.  It is considered architecture dependent since each
+# platform has a slightly unique way of making bootable CDs.  This script
+# is also allowed to generate any number of images since that is more of
+# publishing decision than anything else.
+#
+# Usage:
+#
+# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
+#
+# Where -b is passed if the ISO image should be made "bootable" by
+# whatever standards this architecture supports (may be unsupported),
+# image-label is the ISO image label, image-name is the filename of the
+# resulting ISO image, base-bits-dir contains the image contents and
+# extra-bits-dir, if provided, contains additional files to be merged
+# into base-bits-dir as part of making the image.
+
+if [ "x$1" = "x-b" ]; then
+	# This is highly x86-centric and will be used directly below.
+	bootable="-o bootimage=i386;$4/boot/cdboot -o no-emul-boot"
+
+	# Make EFI system partition (should be done with makefs in the future)
+	dd if=/dev/zero of=efiboot.img bs=4k count=200
+	device=`mdconfig -a -t vnode -f efiboot.img`
+	newfs_msdos -F 12 -m 0xf8 /dev/$device
+	mkdir efi
+	mount -t msdosfs /dev/$device efi
+	mkdir -p efi/efi/boot
+	cp ${4}/boot/loader.efi efi/efi/boot/bootx64.efi
+	umount efi
+	rmdir efi
+	mdconfig -d -u $device
+	bootable="-o bootimage=i386;efiboot.img -o no-emul-boot $bootable"
+	
+	shift
+else
+	bootable=""
+fi
+
+if [ $# -lt 3 ]; then
+	echo Usage: $0 '[-b] image-label image-name base-bits-dir [extra-bits-dir]'
+	exit 1
+fi
+
+LABEL=`echo $1 | tr '[:lower:]' '[:upper:]' | cut -c 1-31`; shift
+NAME=$1; shift
+
+publisher="The MidnightBSD Project.  http://www.MidnightBSD.org/"
+echo "/dev/iso9660/$LABEL / cd9660 ro 0 0" > $1/etc/fstab
+makefs -t cd9660 $bootable -o rockridge -o label=$LABEL -o publisher="$publisher" $NAME $*
+rm $1/etc/fstab
+rm -f efiboot.img


Property changes on: trunk/release/amd64/mkisoimages-uefi.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Modified: trunk/release/amd64/mkisoimages.sh
===================================================================
--- trunk/release/amd64/mkisoimages.sh	2018-07-13 00:18:37 UTC (rev 11833)
+++ trunk/release/amd64/mkisoimages.sh	2018-07-13 00:22:08 UTC (rev 11834)
@@ -4,8 +4,7 @@
 # Author: Jordan K Hubbard
 # Date:   22 June 2001
 #
-# $MidnightBSD: src/release/amd64/mkisoimages.sh,v 1.3 2007/03/17 16:03:29 laffer1 Exp $
-# $FreeBSD: src/release/amd64/mkisoimages.sh,v 1.11 2005/01/30 21:10:51 kensmith Exp $
+# $MidnightBSD$
 #
 # This script is used by release/Makefile to build the (optional) ISO images
 # for a MidnightBSD release.  It is considered architecture dependent since each
@@ -33,11 +32,14 @@
 fi
 
 if [ $# -lt 3 ]; then
-	echo Usage: $0 '[-b] image-label image-name base-bits-dir [extra-bits-dir]'
+	echo "Usage: $0 [-b] image-label image-name base-bits-dir [extra-bits-dir]"
 	exit 1
 fi
 
-LABEL=$1; shift
-NAME=$1; shift
+LABEL=`echo "$1" | tr '[:lower:]' '[:upper:]'`; shift
+NAME="$1"; shift
 
-makefs -t cd9660 $bootable -o rockridge -o label=$LABEL $NAME $*
+publisher="The MidnightBSD Project.  http://www.MidnightBSD.org/"
+echo "/dev/iso9660/$LABEL / cd9660 ro 0 0" > "$1/etc/fstab"
+makefs -t cd9660 $bootable -o rockridge -o label="$LABEL" -o publisher="$publisher" "$NAME" "$@"
+rm "$1/etc/fstab"


Property changes on: trunk/release/amd64/mkisoimages.sh
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property


More information about the Midnightbsd-cvs mailing list